%define debug_package %{nil}

Summary: A native OODBMS for Java/.NET/Mono - Mono version
Name: db4o
Version: 6.1
Release: 2%{?dist}
License: GPL
Group: Development/Libraries
Source: http://213.203.204.172/downloads/%{name}-%{version}-mono.tar.gz
URL: http://www.db4o.com/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mono-devel

%description
Embed db4o's native Java or .NET/Mono open source object database
engine into your product and experience unparalleled ease-of-use.
db4o is simple to install, integrate, and deploy.

%package doc
Summary: Documentation and API for db4o
Requires: %{name} = %{version}-%{release}
Group: Documentation

%description doc
Tutorials and API documentation for db4o

%package devel
Summary: Development file for db4o
Requires: %{name} = %{version}-%{release} pkgconfig
Group: Development/Libraries

%description devel
Development files for db4o

%prep
%setup -q 
#sed -i 's/\r//' doc/tutorial/vb/index.html
#sed -i 's/\r//' doc/tutorial/index.html
sed 's!/usr/lib!%{_libdir}!' -i Makefile

%build
rm -rf %{buildroot}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
mkdir -p %{buildroot}/%{_libdir}/mono/gac
mkdir -p %{buildroot}/%{_bindir}
gacutil -i bin/Db4objects.Db4o.dll -f -package db4o -root %{buildroot}%{_libdir}
gacutil -i bin/Db4objects.Db4o.Tools.dll -f -package db4o -root %{buildroot}%{_libdir}
gacutil -i bin/Db4oUnit.dll -f -package db4o -root %{buildroot}%{_libdir}
gacutil -i bin/Db4oUnit.Extensions.dll -f -package db4o -root %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_libdir}/mono/db4o
cp %{buildroot}%{_libdir}/db4o/* %{buildroot}%{_libdir}/mono/db4o
rm -rf %{buildroot}%{_libdir}/db4o
cp bin/*.exe %{buildroot}%{_libdir}/mono/db4o/

cat <<EOF >%{buildroot}/%{_libdir}/pkgconfig/db4o.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}

Name: db4o
Description: db4o - an object based database system
Version: 6.1
Libs: -r:%{_libdir}/mono/db4o/Db4objects.Db4o.dll, -r:%{_libdir}/mono/db4o/Db4oUnit, -r:%{_libdir}/mono/db4o/Db4objects.Db4o.Tools, -r:%{_libdir}/mono/db4o/Db4oUnit.Extensions
EOF

cat <<EOF >%{buildroot}/%{_bindir}/Db4oAdmin
#!/bin/sh
env mono %{_libdir}/mono/db4o/Db4oAdmin.exe "$@"
EOF

cat <<EOF >%{buildroot}/%{_bindir}/Db4object.Db4o.Tests
#!/bin/sh
env mono %{_libdir}/mono/db4o/Db4object.Db4o.Tests.exe "$@"
EOF

chmod 755 %{buildroot}/%{_bindir}/Db4oAdmin
chmod 755 %{buildroot}/%{_bindir}/Db4object.Db4o.Tests

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/mono/db4o/
%{_libdir}/mono/gac/Db4*

%files doc
%doc doc/*

%files devel
%{_libdir}/pkgconfig/db4o.pc

%changelog
* Tue Feb 06 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 6.1-2
- bump
- spec file fixes
- new scripts for usr-bin links to the libdir

* Thu Nov 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 6.0.3-2
- corrected the pc file

* Wed Nov 22 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 6.0.3-1
- bump to new dev version
- minor spec file fixes

* Wed Aug 24 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-10
- Removed monodir hack
- Added makefile patch
- Added release requirement for docs subpackage

* Wed Aug 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-8
- Fixed a few other bits
- Changed from Dev/Doc to just Doc for the doc package
- Removed debug-package (empty)
- Added R pkg-config to the devel package

* Tue Aug 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-6
- Added back in the gac lines. D'oh! Must read docs fully---must read docs...

* Tue Aug 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-5
- Removed the gacutil entry
- Fixed binary duplicates
- Added pc file (means that -pkg:db4o can now be used on the command line)

* Tue Aug 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-2
- Fixed source URL
- removed R mono
- added documentation subpackage

* Mon Aug 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 5.5-1
- initial import to FE
- many changes to spec file to comply with FE packaging
- added gacutil line to the build

